Skip to navigation

Get ProcedureRunCondition by ID

Beta
Get a single ProcedureRunCondition by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

procedure_run_condition_idstringRequired
ID of the ProcedureRunCondition.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstringOptional
descriptionstringOptional

The user-defined description of the condition.

idstringOptional
modifiedAtstringOptional
namestringOptional

The user-defined name of the condition. In M1, this is non-user-configurable and instead auto-generated, e.g. “Condition 1”, “Condition 2”, etc.

procedureRunobjectOptional
The ProcedureRun that this condition is a part of.
procedureRunConditionReplicatesstringOptionalformat: "uri"
The replicates of this condition, each representing an execution of a Procedure with the same configuration. The number of replicates is chosen by the user while designing their experiment, but must be at least 1.

Errors

400
Procedure Run Condition Get Request Bad Request Error
403
Procedure Run Condition Get Request Forbidden Error
404
Procedure Run Condition Get Request Not Found Error
429
Procedure Run Condition Get Request Too Many Requests Error
500
Procedure Run Condition Get Request Internal Server Error